Package org.italiangrid.voms.request

# Class VOMSProtocolError

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
org.italiangrid.voms.VOMSError
org.italiangrid.voms.request.VOMSProtocolError

All Implemented Interfaces:
  `Serializable`

public class VOMSProtocolError extends VOMSError
Exception used when errors are raised during the interaction with a (possibly) remote VOMS server.

Author:
  andreaceccanti
See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`VOMSProtocolError(String message, VOMSServerInfo serv, VOMSACRequest req, eu.emi.security.authn.x509.X509Credential cred, Throwable c)`

## Method Summary

Modifier and Type
Method
Description
`eu.emi.security.authn.x509.X509Credential`
`getCredential()`
`VOMSACRequest`
`getRequest()`
`VOMSServerInfo`
`getServerInfo()`

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### VOMSProtocolError

public VOMSProtocolError(String message, VOMSServerInfo serv, VOMSACRequest req, eu.emi.security.authn.x509.X509Credential cred, Throwable c)

## Method Details

### getRequest

public VOMSACRequest getRequest()

Returns:
  the request that is related with this error

### getCredential

public eu.emi.security.authn.x509.X509Credential getCredential()

Returns:
  the client credential related with this error

### getServerInfo

public VOMSServerInfo getServerInfo()

Returns:
  the VOMS serverInfo related with this error